aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorKimplul <kimi.h.kuparinen@gmail.com>2024-08-18 19:25:48 +0300
committerKimplul <kimi.h.kuparinen@gmail.com>2024-08-18 19:26:01 +0300
commitbd509c3aee89f0712c0d66bac9c2a59692d38af2 (patch)
treee45f18ac6ea68fd5d0f2da86c676427007729a13 /scripts
parentb715a9b2eb323733dea81ef6f46cb2cfd4159c01 (diff)
downloadqbt-bd509c3aee89f0712c0d66bac9c2a59692d38af2.tar.gz
qbt-bd509c3aee89f0712c0d66bac9c2a59692d38af2.zip
add analyzer
+ Apparently no issues :)
Diffstat (limited to 'scripts')
-rw-r--r--scripts/makefile16
1 files changed, 10 insertions, 6 deletions
diff --git a/scripts/makefile b/scripts/makefile
index 7424204..9e0fba2 100644
--- a/scripts/makefile
+++ b/scripts/makefile
@@ -32,10 +32,14 @@ OBJCOPY != [ "$(LLVM)" != "0" ] \
&& echo llvm-objcopy \
|| echo $(CROSS_COMPILE)objcopy
-COMPILER != [ "$(LLVM)" != "0" ] \
- && echo clang --target="$(CROSS_COMPILE)" \
- || echo $(CROSS_COMPILE)gcc
-
+COMPILER != [ -n "$(CROSS_COMPILE)" ] \
+ && { \
+ [ "$(LLVM)" != "0" ] \
+ && echo clang --target="$(CROSS_COMPILE)" \
+ || echo $(CROSS_COMPILE)gcc \
+ ; \
+ } \
+ || echo $(CC)
OBFLAGS := -g
WARNFLAGS := -Wall -Wextra
@@ -60,8 +64,8 @@ COMPILE_QBT = $(COMPILE) $(QBT_FLAGS)
-include deps.mk
-qbt: $(QBT_OBJS)
- $(COMPILE_QBT) $(QBT_OBJS) -o $@
+qbt: $(QBT_OBJS) build/gen/gen_parser.o
+ $(COMPILE_QBT) $(QBT_OBJS) build/gen/gen_parser.o -o $@
# might lint some common things twice
.PHONY: